Works in FF8...anxiously anticipating for FF9 Rated 5 out of 5 stars

I *love* this addon!!! I've been running FF8 BETA (now stable) for a month or so, and this addon (v5.0.0.201551) works fine with it. I'm opting to wait to upgrade to FF9 BETA until I'm sure this addon will still work. But seriously guys, it works fine in FF8. Not sure why FF has a warning there that it might be incompatible. You do need to install the Add-on Compatibility Reporter https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/ .

Btw, IMO it's completely unfair to be giving this addon a 1 star rating just because it isn't compatible with FF8...especially with FFs' new warp-speed new-version-every-6-weeks BS.

11/15/11 UPDATE: Sadly neither this version nor the BETA 5.0.0.204582-fx-tb work with FF9 BETA. I knew it was a long shot, but I was hoping. Yeah, I should have waited to upgrade...

This review is for a previous version of the add-on (5.0.0.177572).